Groovy JDK

## java.lang
Class Byte[]

Method Summary
`void` | `eachByte(Closure closure)` Traverse through each byte of this Byte array.
`Writable` | `encodeBase64(boolean chunked)` Produce a Writable object which writes the Base64 encoding of the byte array.
`Writable` | `encodeBase64()` Produce a Writable object which writes the Base64 encoding of the byte array.

Method Detail

### eachByte

    public void eachByte(Closure closure)

  Traverse through each byte of this Byte array. Alias for each.

Parameters:
  `closure` - a closure.

Since:
  1.5.5

See:
  Object#each.

### encodeBase64

    public Writable encodeBase64(boolean chunked)

  Produce a Writable object which writes the Base64 encoding of the byte array. Calling toString() on the result returns the encoding as a String. For more information on Base64 encoding and chunking see `RFC 4648`.

Parameters:
  `chunked` - whether or not the Base64 encoded data should be MIME chunked.

Returns:
  object which will write the Base64 encoding of the byte array

Since:
  1.5.1

### encodeBase64

    public Writable encodeBase64()

  Produce a Writable object which writes the Base64 encoding of the byte array. Calling toString() on the result returns the encoding as a String. For more information on Base64 encoding and chunking see `RFC 4648`.

Returns:
  object which will write the Base64 encoding of the byte array

Since:
  1.0

Groovy JDK